Skip to main content
`Ctrl`+`K`

# TaoBRGNGetDampingVector

Get the damping vector \(\mathrm{diag}(J^T J)\) from a `TAOBRGN` with `TAOBRGN_REGULARIZATION_LM` regularization

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNGetDampingVector(Tao tao, Vec *d)

Collective

## Input Parameter

- tao - a `Tao` of type `TAOBRGN` with `TAOBRGN_REGULARIZATION_LM` regularization

## Output Parameter

- d - the damping vector

## See Also

TAO: Optimization Solvers, `Tao`, `TAOBRGN`, `TaoBRGNRegularzationTypes`

## Level

developer

## Location

src/tao/leastsquares/impls/brgn/brgn.c

## Implementations

TaoBRGNGetDampingVector_BRGN() in src/tao/leastsquares/impls/brgn/brgn.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages